#if !defined(AFX_BITMAPBUTTONEX_H__69DB64B3_8F8E_4743_A982_3592DBFB8EB6__INCLUDED_)
#define AFX_BITMAPBUTTONEX_H__69DB64B3_8F8E_4743_A982_3592DBFB8EB6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BitmapButtonEx.h : header file
//

#include "MoveWnd.h"

/////////////////////////////////////////////////////////////////////////////
// CBitmapButtonEx window

class CBitmapButtonEx : public CMoveWnd
{
// Construction
public:
	CBitmapButtonEx();

// Attributes
public:
protected:
	RECT		m_rt_normal;
	RECT		m_rt_select;
	CBitmap*	m_p_bitmap_normal;
	CBitmap*	m_p_bitmap_select;
private:
	BOOL		m_b_button_down;

// Operations
public:
	virtual BOOL load_bitmap_select(HBITMAP bitmap, RECT &rt);
	virtual BOOL load_bitmap_normal(HBITMAP bitmap, RECT &rt);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBitmapButtonEx)
	public:
	virtual BOOL Create(const RECT& rect, CWnd* pParentWnd, UINT nID);
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CBitmapButtonEx();

	// Generated message map functions
protected:
	//{{AFX_MSG(CBitmapButtonEx)
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BITMAPBUTTONEX_H__69DB64B3_8F8E_4743_A982_3592DBFB8EB6__INCLUDED_)
