// MainWnd.cpp : implementation file
//

#if defined(PC_EMUL)
 #include "./Win32/stdafx.h"
#else
 #include "./WinCE/stdafx.h"
#endif

#include "WinCE\WinamPAQ.h"
#include "MainWnd.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMainWnd

CMainWnd::CMainWnd()
{
	//////////////////////////////////////////////////////////////////////////
	// variable initialize
	//////////////////////////////////////////////////////////////////////////
	
	m_p_eqwnd = NULL;
	m_p_plwnd = NULL;

	//////////////////////////////////////////////////////////////////////////
	


	//////////////////////////////////////////////////////////////////////////
	// memory allocation
	//////////////////////////////////////////////////////////////////////////
	
	m_p_eqwnd = new CEQWnd();
	m_p_plwnd = new CPLWnd();

	//////////////////////////////////////////////////////////////////////////	
}

CMainWnd::~CMainWnd()
{
	//////////////////////////////////////////////////////////////////////////
	// memory free
	//////////////////////////////////////////////////////////////////////////
	
	if( m_p_eqwnd )
	{
		delete m_p_eqwnd;
		m_p_eqwnd = NULL;
	}

	if( m_p_plwnd )
	{
		delete m_p_eqwnd;
		m_p_eqwnd = NULL;
	}

	//////////////////////////////////////////////////////////////////////////	
}


BEGIN_MESSAGE_MAP(CMainWnd, CMoveWnd)
	//{{AFX_MSG_MAP(CMainWnd)
	ON_WM_CREATE()
	ON_WM_LBUTTONDOWN()
	ON_WM_LBUTTONUP()
	ON_WM_MOUSEMOVE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CMainWnd message handlers

BOOL CMainWnd::PreCreateWindow(CREATESTRUCT& cs) 
{
	// TODO: Add your specialized code here and/or call the base class
	cs.lpszClass = AfxRegisterWndClass(CS_DBLCLKS | CS_HREDRAW | CS_VREDRAW, 
									   NULL, 
									   (HBRUSH)::GetStockObject(LTGRAY_BRUSH),
									   NULL);

	return CWnd::PreCreateWindow(cs);
}
				

int CMainWnd::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	RECT	rt_eq_window	=	{100, 100, 200, 200};
	RECT	rt_pl_window	=	{200, 200, 300, 300};

	if (CMoveWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	// TODO: Add your specialized creation code here
	if( m_p_eqwnd )
	{		
		if( m_p_eqwnd->CreateEx( NULL, NULL, NULL, WS_VISIBLE | WS_POPUP, rt_eq_window, this, NULL, NULL ) == FALSE )
			AfxMessageBox(L"error");
	}

	if( m_p_plwnd )
	{		
		if( m_p_plwnd->CreateEx( NULL, NULL, NULL, WS_VISIBLE | WS_POPUP, rt_pl_window, this, NULL, NULL ) == FALSE )
			AfxMessageBox(L"error");
	}
	
	return 0;
}

void CMainWnd::OnLButtonDown(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
//	PostQuitMessage( 0 );
	SetCapture();

	CMoveWnd::OnLButtonDown(nFlags, point);
}

void CMainWnd::OnLButtonUp(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	ReleaseCapture();
	
	CMoveWnd::OnLButtonUp(nFlags, point);
}

void CMainWnd::OnMouseMove(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	
	CMoveWnd::OnMouseMove(nFlags, point);
}
