#if !defined(AFX_MOVEWND_H__7C7BCA09_A6BB_4D34_8B16_F8E988A4AF8E__INCLUDED_)
#define AFX_MOVEWND_H__7C7BCA09_A6BB_4D34_8B16_F8E988A4AF8E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MoveWnd.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMoveWnd window

class CMoveWnd : public CWnd
{
// Construction
public:
	CMoveWnd(	bool b_draw_focus_line		= true,
				bool b_move_in_parent		= false,
				bool b_vertical_move_lock	= false,
				bool b_horizonal_move_lock	= false	);

// Attributes
public:
private:
	BOOL	m_b_top_most;
	bool	m_b_vertical_move_lock;
	bool	m_b_horizonal_move_lock;
	bool	m_b_move_in_parent;
	bool	m_b_draw_focus_line;
	bool	m_b_clicked;
	RECT	m_rt_pos;
	POINT	m_pt_old_pos;

// Operations
public:
	BOOL
	set_option	(
		bool b_draw_focus_line, 
		bool b_move_in_parent, 
		bool b_vertical_move_lock, 
		bool b_horizonal_movelock	);

	BOOL
	draw_focus_line	(
		bool b_draw	);

	BOOL
	move_in_parent	(
		bool b_move_in_parent	);

	BOOL
	vertical_move_lock	(
		bool b_block	);

	BOOL
	horizonal_move_lock	(
		bool b_lock	);

	BOOL
	set_top_most	(
		BOOL b_true	);

	BOOL
	is_top_most	( );


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMoveWnd)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMoveWnd();

	// Generated message map functions
protected:
	//{{AFX_MSG(CMoveWnd)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MOVEWND_H__7C7BCA09_A6BB_4D34_8B16_F8E988A4AF8E__INCLUDED_)
